List memberships
curl --request GET \
--url https://thirdparty.qonto.com/v2/memberships \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/memberships"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/memberships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"memberships": [
{
"id": "c9f9f051-7558-451c-b310-f4b8521424aa",
"first_name": "Quinn Jast",
"last_name": "Miss Stan Altenwerth",
"role": "owner",
"team_id": "01997176-789e-79f3-b908-34cb85bb7009",
"residence_country": "FR",
"birthdate": "1987-07-12",
"nationality": "FR",
"ubo": true,
"birth_country": "IT"
}
],
"meta": {
"current_page": 1,
"next_page": null,
"prev_page": null,
"total_pages": 1,
"total_count": 1,
"per_page": 100
}
}
Memberships
List memberships
OAuth scope: organization.read
Retrieves all the memberships for the authenticated organization.
A member is a user who’s been granted access to the Qonto account of a company. There is no limit currently to the number of memberships a company can have.
GET
/
v2
/
memberships
List memberships
Authorizations
OAuthSecretKey
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Was this page helpful?